Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
What is going on? So many blocks!!!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
lpx
Apprentice
Apprentice


Joined: 03 Mar 2005
Posts: 205
Location: Braga, Portugal

PostPosted: Sun Feb 11, 2007 11:22 am    Post subject: What is going on? So many blocks!!! Reply with quote

Hi people,

How can i bypass this?

Code:

central htdocs # emerge -pv nvidia-legacy-drivers | more

These are the packages that would be merged, in order:

Calculating dependencies  ... done!
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-misc/util-macros-1.1.0)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/kbproto-1.0.3)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xextproto-7.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xf86bigfontproto-1.1.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/inputproto-1.3.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libX11-1.0.3)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xproto-7.0.7)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXau-1.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/bigreqsproto-1.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXdmcp-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xcmiscproto-1.1.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/xtrans-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXext-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-misc/makedepend-1.0.0)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/glproto-1.4.8)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libICE-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking media-libs/mesa-6.5.1-r1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xf86vidmodeproto-2.2.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xf86driproto-2.0.3)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libSM-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXt-1.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXmu-1.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXxf86vm-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libdrm-2.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXi-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xf86miscproto-0.9.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXxf86misc-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/liblbxutil-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/renderproto-0.9.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXrender-0.9.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libxkbfile-1.0.3)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libxkbui-1.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xf86dgaproto-2.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/videoproto-2.2.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/fixesproto-4.0)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXpm-3.5.5)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXaw-1.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/trapproto-3.4.3)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/recordproto-1.13.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXtst-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xineramaproto-1.1.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-apps/rgb-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-apps/iceauth-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/fontsproto-2.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-apps/mkfontscale-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libfontenc-1.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking media-fonts/encodings-1.0.0)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking media-fonts/font-util-1.0.1)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking media-fonts/font-adobe-75dpi-1.0.0)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-apps/bdftopcf-1.0.0)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/fontcacheproto-0.1.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-libs/libXfont-1.2.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-apps/mkfontdir-1.0.2)
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking media-fonts/font-alias-1.0.1)
...

_________________
Imaginando o futuro
Imagining the future
Back to top
View user's profile Send private message
moesasji
Apprentice
Apprentice


Joined: 10 May 2005
Posts: 263

PostPosted: Sun Feb 11, 2007 11:36 am    Post subject: Reply with quote

That is weird.

You are trying to emerge nvidia-legacy-drivers. Apparantly the corresponding ebuild requires a non-modular xorg to be installed on your system. That's what the line <=x11-base/xorg-x11-6.9 is telling as that was the last non-modular release of xorg.

However on my system the ebuild for nvidia-legacy-drivers does NOT contain this requirement. My best guess is that you have not run an emerge -sync for a very long time. As this requirement for a non-modular xorg was only present when the switch was being made. So run an emerge --sync and see if that resolves this issue.
Back to top
View user's profile Send private message
Carlo
Developer
Developer


Joined: 12 Aug 2002
Posts: 3356

PostPosted: Sun Feb 11, 2007 2:11 pm    Post subject: Reply with quote

moesasji wrote:
However on my system the ebuild for nvidia-legacy-drivers does NOT contain this requirement.

Of course it does: x11-base/xorg-server is part of modular Xorg.

lpx: Monolithic X isn't supported for quite a while now. Read the migration guide.
_________________
Please make sure that you have searched for an answer to a question after reading all the relevant docs.
Back to top
View user's profile Send private message
moesasji
Apprentice
Apprentice


Joined: 10 May 2005
Posts: 263

PostPosted: Sun Feb 11, 2007 3:36 pm    Post subject: Reply with quote

Carlo wrote:

Of course it does: x11-base/xorg-server is part of modular Xorg.


@Carlo: I hope you have noticed the <= in front of the text. That's what I was referring to.
That's a block that corresponds to blocking the modular xorg releases.
And that is something that is not present in nvidia-legacy-drivers.

ps) other option is of course that the topicstarter at some point added xorg to his package.mask.
So he/she should also check the content of the file /etc/portage/package.mask
Back to top
View user's profile Send private message
timeBandit
Bodhisattva
Bodhisattva


Joined: 31 Dec 2004
Posts: 2672
Location: here, there or in transit

PostPosted: Sun Feb 11, 2007 4:25 pm    Post subject: Reply with quote

moesasji wrote:
Apparantly the corresponding ebuild requires a non-modular xorg to be installed on your system. That's what the line <=x11-base/xorg-x11-6.9 is telling as that was the last non-modular release of xorg.

Actually you have that exactly backwards. "<=x11-base/xorg-x11-6.9 (is blocking foo)" means that the installed version of xorg-x11 is 6.9 or below, the presence of which blocks installation of package foo.

The nvidia-legacy-drivers package requires modular X. OP needs to migrate to modular X, as Carlo noted.
_________________
Plants are pithy, brooks tend to babble--I'm content to lie between them.
Super-short f.g.o checklist: Search first, strip comments, mark solved, help others.
Back to top
View user's profile Send private message
lpx
Apprentice
Apprentice


Joined: 03 Mar 2005
Posts: 205
Location: Braga, Portugal

PostPosted: Mon Feb 12, 2007 10:11 am    Post subject: Reply with quote

Hi,

I solved the problem emerging -C xorg-x11

I am already emerging the alll packages again!

Thx

Nuno
_________________
Imaginando o futuro
Imagining the future
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 8176

PostPosted: Sat Mar 10, 2007 6:15 am    Post subject: Reply with quote

The migration to modular X is discussed in more detail in the topic "xorg-x11-6.9 -> xorg-x11-7.0-r1 everything blocked (solved)".

Moved from Portage & Programming to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum